Update of /cvsroot/devil-linux/build/scripts
In directory sc8-pr-cvs1.sourceforge.net:/tmp/cvs-serv19989/scripts
Modified Files:
build.sh
Log Message:
support for building under x86_64 architecure (faking 32 bit)
arch now also reports the fake cpu type
Index: build.sh
===================================================================
RCS file: /cvsroot/devil-linux/build/scripts/build.sh,v
retrieving revision 1.75
retrieving revision 1.76
diff -u -d -r1.75 -r1.76
--- build.sh 23 Jan 2004 01:03:55 -0000 1.75
+++ build.sh 31 Jan 2004 19:28:24 -0000 1.76
@@ -264,11 +264,13 @@
# fake uname to display another platform we want to compile the kernel for
# also make sure our kernel version is displayed
if [ -n "$KERNELVERSION" ]; then
- test -f /bin/uname.old || cp /bin/uname /bin/uname.old || exit 1
- rm /bin/uname || exit 1
- REALKERNEL=$(/bin/uname.old -r)
- echo "uname.old \$* | sed -e 's/i.86/i$CONFIG_CPU/' | sed -e 's/$REALKERNEL/$KERNELVERSION/'" > /bin/uname || exit 1
- chmod +x /bin/uname || exit 1
+ test -f /bin/uname.old || cp /bin/uname /bin/uname.old || exit 1
+ rm /bin/uname || exit 1
+ REALKERNEL=$(/bin/uname.old -r)
+ echo "/bin/uname.old \$* | sed -e 's/i.86/i$CONFIG_CPU/' | sed -e 's/x86_64/i$CONFIG_CPU/' | sed -e 's/$REALKERNEL/$KERNELVERSION/'" > /bin/uname || exit 1
+ chmod +x /bin/uname || exit 1
+ test -f /bin/arch.old || cp /bin/arch /bin/arch.old || exit 1
+ echo "/bin/uname -m" > /bin/arch || exit 1
fi
LINK=${LINK##/*/}
|